## libpam-chksshpwd 2.0

=== meson_options.txt ===
# -*- mode: meson -*-

option('i18n', type: 'feature', value: 'auto',
       description: 'i18n support')
option('nis', type: 'feature', value: 'auto',
       description: 'NIS/YP support in pam_unix')

option('pam-debug', type: 'boolean', value: false,
       description: 'Save debugging information into pam-debug.log')
option('pamlocking', type: 'boolean', value: false,
       description: 'Observe a global authentication lock')
option('read-both-confs', type: 'boolean', value: false,
       description: 'Read both /etc/pam.d and /etc/pam.conf files')
option('usergroups', type: 'boolean', value: false,
       description: 'usergroups option default in pam_umask')

option('misc-conv-bufsize', type: 'integer', value: 4096,
       description: 'Size of input buffer for misc_conv() conversation function')
option('kernel-overflow-uid', type: 'integer', value: 65534,
       description: 'Linux kernel overflow uid')
option('uidmin', type: 'integer', value: 1000,
       description: 'Default value for regular user min uid')

option('isadir', type: 'string',
       description: 'Arch-specific PAM modules directory, relative to SECUREDIR')
option('securedir', type: 'string',
       description: 'PAM modules directory')
option('sconfigdir', type: 'string',
       description: 'PAM module configuration files directory')
option('systemdunitdir', type: 'string',
       description: 'systemd service directory')

=== debian/changelog ===
libpam-chksshpwd (2.0) trixie; urgency=medium

  * Standalone chksshpwd module

 -- Simon Long <simon@raspberrypi.com>  Mon, 07 Jul 2025 14:17:43 +0100

=== debian/control ===
Source: libpam-chksshpwd
Section: libs
Priority: optional
Maintainer: Simon Long <simon@raspberrypi.com>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-exec, libcrypt-dev, po-debconf, meson, pkgconf, libpam0g-dev
Build-Conflicts: libxcrypt-dev
Rules-Requires-Root: binary-targets

Package: libpam-chksshpwd
Section: admin
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libpam0g, libpam-runtime, gettext-base
Description: PAM module to enable SSH password checking support
 This package contains libpam_chkpasswd, a PAM module that checks to see
 if the default password has been changed when SSH is enabled.

=== debian/rules ===
#!/usr/bin/make -f

DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
DEB_BUILD_MAINT_OPTIONS  := hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND DEB_BUILD_MAINT_OPTIONS
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),hurd)
DEB_LDFLAGS_MAINT_APPEND += -lpthread
endif

DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LC_COLLATE=C
export LC_COLLATE

%:
	dh $@

override_dh_auto_configure:
	# Explicitly set libdir, sbindir to avoid upstream's override logic.
	dh_auto_configure  -- \
--default-library=both \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--sbindir=/usr/sbin \
		-Disadir=/usr/lib/security \
		-Dsystemdunitdir=/usr/lib/systemd/system \
		-Dnis=disabled \
		-Dusergroups=true \
		$(meson_OPTS)
